%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%if 0%{?fedora}
%global with_python3 1
%endif

%global modname tw2.jquery

Name:           python-tw2-jquery
Version:        2.2.0.2
Release:        6%{?dist}
Summary:        jQuery for ToscaWidgets2

License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch


%description
toscawidgets2 (tw2) aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features, faster
and easier. Widgets are re-usable web components that can include a template,
server-side code and JavaScripts/CSS resources. The library aims to be:
flexible, reliable, documented, performant, and as simple as possible.

jQuery is a fast and concise JavaScript Library that simplifies HTML
document traversing, event handling, animating, and Ajax interactions
for rapid web development. jQuery is designed to change the way that
you write JavaScript.

This module, tw2.jquery, provides toscawidgets2 (tw2) access to the
jQuery library, a namespace package for jQuery plugins, and convenience
classes for creating these plugins.


%package -n python2-tw2-jquery
Summary:        jQuery for ToscaWidgets2
%{?python_provide:%python_provide python2-tw2-jquery}

# For building, generally
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-webob1.0 >= 0.9.7
%else
BuildRequires:  python2-webob >= 0.9.7
%endif
BuildRequires:  python2-tw2-core
BuildRequires:  python2-tw2-forms
BuildRequires:  python2-paste-deploy

# Specifically for the test suite
BuildRequires:  python2-nose
BuildRequires:  python2-coverage
BuildRequires:  python2-beautifulsoup
BuildRequires:  python2-formencode
BuildRequires:  python2-webtest

# Templating languages for the test suite
BuildRequires:  python2-mako
BuildRequires:  python2-genshi


# Runtime requirements
Requires:       python2-tw2-core
Requires:       python2-tw2-forms


%description -n python2-tw2-jquery
toscawidgets2 (tw2) aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features, faster
and easier. Widgets are re-usable web components that can include a template,
server-side code and JavaScripts/CSS resources. The library aims to be:
flexible, reliable, documented, performant, and as simple as possible.

jQuery is a fast and concise JavaScript Library that simplifies HTML
document traversing, event handling, animating, and Ajax interactions
for rapid web development. jQuery is designed to change the way that
you write JavaScript.

This module, tw2.jquery, provides toscawidgets2 (tw2) access to the
jQuery library, a namespace package for jQuery plugins, and convenience
classes for creating these plugins.


%if 0%{?with_python3}
%package -n python3-tw2-jquery
Summary:        jQuery for ToscaWidgets2
%{?python_provide:%python_provide python3-tw2-jquery}

# For building, generally
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-webob >= 0.9.7
BuildRequires:  python3-tw2-core
BuildRequires:  python3-tw2-forms
BuildRequires:  python3-paste-deploy

# Specifically for the test suite
BuildRequires:  python3-nose
BuildRequires:  python3-coverage
BuildRequires:  python3-beautifulsoup4

BuildRequires:  python3-formencode
BuildRequires:  python3-webtest

# Templating languages for the test suite
BuildRequires:  python3-mako
BuildRequires:  python3-genshi

# Runtime requirements
Requires:       python3-tw2-core
Requires:       python3-tw2-forms

%description -n python3-tw2-jquery
toscawidgets2 (tw2) aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features, faster
and easier. Widgets are re-usable web components that can include a template,
server-side code and JavaScripts/CSS resources. The library aims to be:
flexible, reliable, documented, performant, and as simple as possible.

jQuery is a fast and concise JavaScript Library that simplifies HTML
document traversing, event handling, animating, and Ajax interactions
for rapid web development. jQuery is designed to change the way that
you write JavaScript.

This module, tw2.jquery, provides toscawidgets2 (tw2) access to the
jQuery library, a namespace package for jQuery plugins, and convenience
classes for creating these plugins.
%endif


%prep
%setup -q -n %{modname}-%{version}

# tw2 bundles *all* these versions of jquery (and 1.7.1 as well).
# Versions prior to 1.6.3 have an XSS vulnerability; so we remove them.
# If someone ends up needing this, we could probably patch 1.6.2, but
# it is likely that noone is using them.
rm -rf tw2/jquery/static/jquery/1.3.2/
rm -rf tw2/jquery/static/jquery/1.4.2/
rm -rf tw2/jquery/static/jquery/1.4.4/
rm -rf tw2/jquery/static/jquery/1.6.0/
rm -rf tw2/jquery/static/jquery/1.6.2/

%if 0%{?rhel} && 0%{?rhel} <= 6
# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py
# Remove all the fancy nosetests configuration for older python
rm setup.cfg
%endif

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
%if 0%{?rhel} && 0%{?rhel} <= 6
# Don't run tests on rhel.
%else
PYTHONPATH=%{buildroot}%{python2_sitelib}:$(pwd) nosetests-2
%if 0%{?with_python3}
#PYTHONPATH=%{buildroot}%{python3_sitelib}:$(pwd) nosetests-3
%endif
%endif

%files -n python2-tw2-jquery
%doc README.rst
%license LICENSE.txt
%{python2_sitelib}/tw2/jquery
%{python2_sitelib}/%{modname}-%{version}*

%files -n python3-tw2-jquery
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/tw2/jquery
%{python3_sitelib}/%{modname}-%{version}*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.2.0.2-5
- Rebuilt for Python 3.7

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.2.0.2-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Mar 06 2017 Ralph Bean <rbean@redhat.com> - 2.2.0.2-1
- Latest upstream.
- Python3 subpackage.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 21 2013 Ralph Bean <rbean@redhat.com> - 2.0.3-5
- Remove older bundled versions of jquery at prep time.
- Modernized rhel/epel conditionals.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Ralph Bean <rbean@redhat.com> - 2.0.3-3
- Disable tests on rhel.

* Thu Jun 07 2012 Ralph Bean <rbean@redhat.com> - 2.0.3-2
- More explicit directory ownership

* Mon May 21 2012 Ralph Bean <rbean@redhat.com> - 2.0.3-1
- Packaged new upstream version

* Wed May 02 2012 Ralph Bean <rbean@redhat.com> - 2.0.2-2
- Removed clean section
- Removed defattr in files section
- Removed unnecessary references to buildroot

* Wed Apr 11 2012 Ralph Bean <rbean@redhat.com> - 2.0.2-1
- Packaging latest release.
- Fixing a collision of the tests.
- Added awk line to make sure pkg_resources picks up the right WebOb on el6


* Wed Apr 11 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-2
- Fixed typo in Summary.  Forms -> jQuery

* Wed Apr 11 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-1
- Initial packaging for Fedora
